Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.xml.stream.buffer
Class XMLStreamBufferSource

    java.lang.Object
      javax.xml.transform.sax.SAXSource
          com.sun.xml.stream.buffer.XMLStreamBufferSource

All Implemented Interfaces:
  javax.xml.transform.Source

    public class XMLStreamBufferSource

extends javax.xml.transform.sax.SAXSource

A JAXP Source implementation that supports the parsing of `XMLStreamBuffer` for use by applications that expect a Source.

The derivation of XMLStreamBufferSource from SAXSource is an implementation detail.

Applications shall obey the following restrictions:

- The setXMLReader and setInputSource shall not be called.
- The XMLReader object obtained by the getXMLReader method shall be used only for parsing the InputSource object returned by the getInputSource method.
- The InputSource object obtained by the getInputSource method shall be used only for being parsed by the XMLReader object returned by the getXMLReader method.

Field Summary
`protected XMLStreamBuffer` | `_buffer`
`protected SAXBufferProcessor` | `_bufferProcessor`

Fields inherited from class javax.xml.transform.sax.SAXSource
`FEATURE`

Constructor Summary
`XMLStreamBufferSource(XMLStreamBuffer buffer)` XMLStreamBufferSource constructor.

Method Summary
`org.xml.sax.XMLReader` | `getXMLReader()`
`XMLStreamBuffer` | `getXMLStreamBuffer()` Get the `XMLStreamBuffer` that is used.
`void` | `setXMLStreamBuffer(XMLStreamBuffer buffer)` Set the `XMLStreamBuffer` to use.

Methods inherited from class javax.xml.transform.sax.SAXSource
`getInputSource, getSystemId, setInputSource, setSystemId, setXMLReader, sourceToInputSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _buffer

    protected XMLStreamBuffer _buffer

### _bufferProcessor

    protected SAXBufferProcessor _bufferProcessor

Constructor Detail

### XMLStreamBufferSource

    public XMLStreamBufferSource(XMLStreamBuffer buffer)

  XMLStreamBufferSource constructor.

  Parameters:
    `buffer` - the `XMLStreamBuffer` to use.

Method Detail

### getXMLStreamBuffer

    public XMLStreamBuffer getXMLStreamBuffer()

  Get the `XMLStreamBuffer` that is used.

  Returns:
    the `XMLStreamBuffer`.

### setXMLStreamBuffer

    public void setXMLStreamBuffer(XMLStreamBuffer buffer)

  Set the `XMLStreamBuffer` to use.

  Parameters:
    `buffer` - the `XMLStreamBuffer`.

### getXMLReader

    public org.xml.sax.XMLReader getXMLReader()

  Overrides:
    `getXMLReader` in class `javax.xml.transform.sax.SAXSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD